# pandas.DataFrame.shift

`DataFrame.``shift`(periods=1, freq=None, axis=0)

  Shift index by desired number of periods with an optional time freq

  Parameters:

  periods : int

  > Number of periods to move, can be positive or negative

  freq : DateOffset, timedelta, or time rule string, optional

  > Increment to use from the tseries module or time rule (e.g. ‘EOM’). See Notes.

  axis : {0 or ‘index’, 1 or ‘columns’}

  Returns: | shifted : DataFrame

  Notes

  If freq is specified then the index values are shifted but the data is not realigned. That is, use freq if you would like to extend the index when shifting and preserve the original data.

Scroll To Top